This doesn't make sense.. have you modified the install.pl file?  Earlier on there should be a call like this:

my $template = Template->new(); 

which would prevent this error you are seeing.

On Sat, Aug 25, 2012 at 12:05 AM, askapriyavrath dakua <askapriyavrath@gmail.com> wrote:
Hi, 

I installed the CodeStriker, 

I get the below error. Could you please help in in resolving the issue.

D:\ORCC_WORLD\PROJECT_WORK\Tools\codestriker-1.9.10\bin>install.pl
defined(@array) is deprecated at D:\ORCC_WORLD\PROJECT_WORK\Tools\codestriker-1.9.10/lib/Codestriker.pm line 486.
        (Maybe you should just omit the defined()?)
defined(@array) is deprecated at D:\ORCC_WORLD\PROJECT_WORK\Tools\codestriker-1.9.10/lib/Codestriker.pm line 509.
        (Maybe you should just omit the defined()?)
Set up gcc environment - 3.4.5 (mingw-vista special r3)
Checking for  LWP::UserAgent (any)     ok: found v6.04
Checking for             CGI (v2.56)   ok: found v3.59
Checking for       Net::SMTP (any)     ok: found v2.31
Checking for MIME::QuotedPrint (v2.14)   ok: found v3.13
Checking for             DBI (v1.13)   ok: found v1.622
Checking for        Template (v2.07)   ok: found v2.24
Checking for  HTML::Entities (any)     ok: found v3.69
Checking for      File::Temp (any)     ok: found v0.22
Checking for        XML::RSS (v1.05)    ok: not found, optional
Checking for    Encode::Byte (any)     ok: found v2.04
Checking for Encode::Unicode (any)     ok: found v2.07
Checking for      DBD::mysql (any)     ok: found v4.021
Generating cgi-bin/codestriker.pl file...
Can't call method "process" on an undefined value at D:\ORCC_WORLD\PROJECT_WORK\Tools\codestriker-1.9.10\bin\install.pl line 1132.

--
Thanks & Regards,
Priyavrath.Dakua